ServerEvents.recipes(event => {
    event.custom({
  "type": "minecraft:crafting_shapeless",
  "ingredients": [
    {
      "item": "vintagedelight:raw_oats"
    },
    [
      {
        "item": "minecraft:potion",
        "type": "forge:nbt",
        "nbt": "{Potion:'minecraft:water',Purity:2}"
      },
      {
        "item": "minecraft:potion",
        "type": "forge:nbt",
        "nbt": "{Potion:'minecraft:water',Purity:3}"
      }
    ]
  ],
  "result": {
    "item": "vintagedelight:oat_dough"
  }
})
    event.remove({output:'vintagedelight:oat_dough'})
})